org.apache.hadoop.yarn.webapp.hamlet

## Class HamletGen

- java.lang.Object
- - org.apache.hadoop.yarn.webapp.hamlet.HamletGen

- Deprecated.
  Use org.apache.hadoop.yarn.webapp.hamlet2 package instead.

      @Deprecated
       @InterfaceAudience.LimitedPrivate(value={"YARN","MapReduce"})
      public class HamletGen
      extends Object

  Generates a specific hamlet implementation class from a spec class using a generic hamlet implementation class.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HamletGen()` Deprecated.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `generate(Class<?> specClass, Class<?> implClass, String outputName, String outputPkg)` Deprecated. Generate a specific Hamlet implementation from a spec.
    `static void` | `main(String[] args)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HamletGen

          public HamletGen()

      Deprecated.

  - ### Method Detail

    - #### generate

          public void generate(Class<?> specClass,
                               Class<?> implClass,
                               String outputName,
                               String outputPkg)
                        throws IOException

      Deprecated.
      Generate a specific Hamlet implementation from a spec.
      Parameters:
        `specClass` - holds hamlet interfaces. e.g. `HamletSpec`
        `implClass` - a generic hamlet implementation. e.g. `HamletImpl`
        `outputName` - name of the output class. e.g. `Hamlet`
        `outputPkg` - package name of the output class.
      Throws:
        `IOException`

    - #### main

          public static void main(String[] args)
                           throws Exception

      Deprecated.
      Throws:
        `Exception`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.